package com.flyer.foster.service.impl;

import com.flyer.foster.consts.WechatConst;
import com.flyer.foster.dto.AppUserQueryDTO;
import com.flyer.foster.dto.AppUserRespDTO;
import com.flyer.foster.entity.AppUser;
import com.flyer.foster.mapper.IAppUserMapper;
import com.flyer.foster.pojo.Code2SessionResp;
import com.flyer.foster.service.IAppUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.flyer.foster.util.WeChatApiUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 小程序用户 服务实现类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
@Service
public class AppUserServiceImpl extends ServiceImpl<IAppUserMapper, AppUser> implements IAppUserService {
    @Autowired
    private WeChatApiUtil weChatApiUtil;

    @Override
    public AppUserRespDTO login(AppUserQueryDTO dto, String appId) {
        // 查找用户信息
        Code2SessionResp code2Session = weChatApiUtil.getCode2Session(dto.getCode(), appId, WechatConst.APP_SECRET);

        return null;
    }
}
